Subject: bug#16612: closed (Re: bug#16612: abort when calling suspend-emacs on mac os x (mavericks))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Feb 2014 14:12:03 +0000

Your bug report

#16612: abort when calling suspend-emacs on mac os x (mavericks)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16612: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16612
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16612: abort when calling suspend-emacs on mac os x (mavericks)
From: Jan Djärv <[email-masked]>
To: Jonathan Payne <[email-masked]>, [email-masked]
Date: Sun, 02 Feb 2014 15:11:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

This has now been fixed in trunk.

	Jan D.

2014-02-01 16:14, Jonathan Payne skrev:
> I am running emacs 24.3.1. I am not sure this is specific to mavericks. I
> think it occurred on Mountain Lion as well.
>
> When running emacs in a window, suspend-emacs really shouldn't do anything I
> suppose. But what it does do on my system is crash:
>
>     Exception Type:  EXC_CRASH (SIGABRT)
>     Exception Codes: 0x0000000000000000, 0x0000000000000000
>
>     Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
>     0   libsystem_kernel.dylib 0x00007fff84007292 __kill + 10
>     1   org.gnu.Emacs 0x000000010009ea21 terminate_due_to_signal + 145
>     (emacs.c:344)
>     2   org.gnu.Emacs 0x00000001000ba8f3 emacs_abort + 19
>     3   org.gnu.Emacs 0x000000010017ef3b ns_term_shutdown + 123
>     4   org.gnu.Emacs 0x000000010009ec5a shut_down_emacs + 298 (emacs.c:1931)
>     5   org.gnu.Emacs 0x000000010009e9e7 terminate_due_to_signal + 87
>     (emacs.c:329)
>     6   org.gnu.Emacs 0x00000001000ba8f3 emacs_abort + 19
>     7   org.gnu.Emacs 0x00000001000ae565 Fsuspend_emacs + 629
>     8   org.gnu.Emacs 0x0000000100117e3d Ffuncall + 1037 (eval.c:2778)
>     9   org.gnu.Emacs 0x0000000100112d2f Fcall_interactively + 5167
>     (callint.c:854)
>     10  org.gnu.Emacs 0x0000000100117e61 Ffuncall + 1073 (eval.c:2785)
>     11  org.gnu.Emacs 0x0000000100118375 call3 + 53 (eval.c:2603)
>     12  org.gnu.Emacs 0x00000001000a21a1 command_loop_1 + 1345 (keyboard.c:1595)
>     13  org.gnu.Emacs 0x000000010011648c internal_condition_case + 284
>     (eval.c:1290)
>     14  org.gnu.Emacs 0x00000001000b303e command_loop_2 + 62 (keyboard.c:1168)
>     15  org.gnu.Emacs 0x0000000100115f15 internal_catch + 213 (eval.c:1060)
>     16  org.gnu.Emacs 0x00000001000a12ae recursive_edit_1 + 334 (keyboard.c:1148)
>     17  org.gnu.Emacs 0x00000001000a13fa Frecursive_edit + 250 (keyboard.c:844)
>     18  org.gnu.Emacs 0x00000001000a0206 main + 5446 (emacs.c:1528)
>     19  libdyld.dylib 0x00007fff8a4305fd start + 1
>
>
> I looked at the code and am not sure why abort is being called, so not sure
> what say about that.
>
> JP
>

Subject: abort when calling suspend-emacs on mac os x (mavericks)
From: Jonathan Payne <[email-masked]>
To: [email-masked]
Date: Sat, 1 Feb 2014 15:14:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am running emacs 24.3.1. I am not sure this is specific to mavericks. I think it occurred on Mountain Lion as well.

When running emacs in a window, suspend-emacs really shouldn't do anything I suppose. But what it does do on my system is crash:

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff84007292 __kill + 10
1   org.gnu.Emacs                 	0x000000010009ea21 terminate_due_to_signal + 145 (emacs.c:344)
2   org.gnu.Emacs                 	0x00000001000ba8f3 emacs_abort + 19
3   org.gnu.Emacs                 	0x000000010017ef3b ns_term_shutdown + 123
4   org.gnu.Emacs                 	0x000000010009ec5a shut_down_emacs + 298 (emacs.c:1931)
5   org.gnu.Emacs                 	0x000000010009e9e7 terminate_due_to_signal + 87 (emacs.c:329)
6   org.gnu.Emacs                 	0x00000001000ba8f3 emacs_abort + 19
7   org.gnu.Emacs                 	0x00000001000ae565 Fsuspend_emacs + 629
8   org.gnu.Emacs                 	0x0000000100117e3d Ffuncall + 1037 (eval.c:2778)
9   org.gnu.Emacs                 	0x0000000100112d2f Fcall_interactively + 5167 (callint.c:854)
10  org.gnu.Emacs                 	0x0000000100117e61 Ffuncall + 1073 (eval.c:2785)
11  org.gnu.Emacs                 	0x0000000100118375 call3 + 53 (eval.c:2603)
12  org.gnu.Emacs                 	0x00000001000a21a1 command_loop_1 + 1345 (keyboard.c:1595)
13  org.gnu.Emacs                 	0x000000010011648c internal_condition_case + 284 (eval.c:1290)
14  org.gnu.Emacs                 	0x00000001000b303e command_loop_2 + 62 (keyboard.c:1168)
15  org.gnu.Emacs                 	0x0000000100115f15 internal_catch + 213 (eval.c:1060)
16  org.gnu.Emacs                 	0x00000001000a12ae recursive_edit_1 + 334 (keyboard.c:1148)
17  org.gnu.Emacs                 	0x00000001000a13fa Frecursive_edit + 250 (keyboard.c:844)
18  org.gnu.Emacs                 	0x00000001000a0206 main + 5446 (emacs.c:1528)
19  libdyld.dylib                 	0x00007fff8a4305fd start + 1

I looked at the code and am not sure why abort is being called, so not sure what say about that.

JP